SET search_path = dbcspu, pg_catalog;

--CREATE SEQUENCE sq_coseqfuncao;   
--CREATE SEQUENCE sq_coseqgrupo;
--CREATE SEQUENCE sq_coseqlog;
--CREATE SEQUENCE sq_coseqmodulo;
--CREATE SEQUENCE sq_coseqsistema;  
--CREATE SEQUENCE sq_cosequsuario; 

 
CREATE SEQUENCE SQ_COSEQUSUARIO; 
CREATE TABLE rl_funcao_grupo_permissao;
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN co_grupo numeric(8,0) NOT NULL;
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN co_funcao numeric(8,0) NOT NULL;
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN co_modulo numeric(8,0) NOT NULL;
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN co_sistema numeric(8,0) NOT NULL;
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN st_selecionar character varying(1);
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN st_incluir character varying(1);
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN st_alterar character varying(1);
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN st_excluir character varying(1);
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE rl_funcao_grupo_permissao ADD COLUMN dt_operacao_seguranca date;

CREATE TABLE rl_grupo_usuario();
ALTER TABLE rl_grupo_usuario ADD COLUMN co_grupo numeric(8,0) NOT NULL;
ALTER TABLE rl_grupo_usuario ADD COLUMN co_usuario numeric(8,0) NOT NULL;
ALTER TABLE rl_grupo_usuario ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE rl_grupo_usuario ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE rl_grupo_usuario ADD COLUMN dt_operacao_seguranca date;

CREATE TABLE rl_usuario_sistema();
ALTER TABLE rl_usuario_sistema ADD COLUMN co_sistema numeric(8,0) NOT NULL;
ALTER TABLE rl_usuario_sistema ADD COLUMN co_usuario numeric(8,0) NOT NULL;
ALTER TABLE rl_usuario_sistema ADD COLUMN co_uf_ibge character varying(2);
ALTER TABLE rl_usuario_sistema ADD COLUMN co_regional numeric(8,0);
ALTER TABLE rl_usuario_sistema ADD COLUMN co_municipio_ibge character varying(6);
ALTER TABLE rl_usuario_sistema ADD COLUMN tp_acesso character varying(1);
ALTER TABLE rl_usuario_sistema ADD COLUMN st_ativo character varying(1);
ALTER TABLE rl_usuario_sistema ADD COLUMN st_sistema_responsavel character varying(1);
ALTER TABLE rl_usuario_sistema ADD COLUMN st_usuario_uf character varying(1);

CREATE TABLE tb_funcao();
ALTER TABLE tb_funcao ADD COLUMN co_seq_funcao numeric(8,0) NOT NULL;
ALTER TABLE tb_funcao ADD COLUMN co_modulo numeric(8,0) NOT NULL;
ALTER TABLE tb_funcao ADD COLUMN co_sistema numeric(8,0) NOT NULL;
ALTER TABLE tb_funcao ADD COLUMN sg_funcao character varying(20) NOT NULL;
ALTER TABLE tb_funcao ADD COLUMN ds_funcao character varying(300);
ALTER TABLE tb_funcao ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE tb_funcao ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE tb_funcao ADD COLUMN dt_operacao_seguranca date;


CREATE TABLE tb_grupo();
ALTER TABLE tb_grupo ADD COLUMN co_seq_grupo numeric(8,0) NOT NULL;
ALTER TABLE tb_grupo ADD COLUMN no_grupo character varying(50);
ALTER TABLE tb_grupo ADD COLUMN st_ativo character varying(1);
ALTER TABLE tb_grupo ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE tb_grupo ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE tb_grupo ADD COLUMN dt_operacao_seguranca date;

CREATE TABLE tb_grupo_acesso();
ALTER TABLE tb_grupo_acesso ADD COLUMN co_grupo numeric(8,0) NOT NULL;
ALTER TABLE tb_grupo_acesso ADD COLUMN tp_acesso character varying(1) NOT NULL;


CREATE TABLE tb_log();
ALTER TABLE tb_log ADD COLUMN co_seq_log numeric(8,0) NOT NULL;
ALTER TABLE tb_log ADD COLUMN co_usuario numeric(8,0) NOT NULL;
ALTER TABLE tb_log ADD COLUMN co_sistema numeric(8,0) NOT NULL;
ALTER TABLE tb_log ADD COLUMN no_tabela character varying(100);
ALTER TABLE tb_log ADD COLUMN tp_operacao character varying(1);
ALTER TABLE tb_log ADD COLUMN dt_operacao date;
ALTER TABLE tb_log ADD COLUMN ds_execucao character varying(200);
ALTER TABLE tb_log ADD COLUMN ds_host character varying(50);
ALTER TABLE tb_log ADD COLUMN ds_operacao character varying(700);

CREATE TABLE tb_modulo();
ALTER TABLE tb_modulo ADD COLUMN co_seq_modulo numeric(8,0) NOT NULL;
ALTER TABLE tb_modulo ADD COLUMN co_sistema numeric(8,0) NOT NULL;
ALTER TABLE tb_modulo ADD COLUMN sg_modulo character varying(20) NOT NULL;
ALTER TABLE tb_modulo ADD COLUMN ds_modulo character varying(300);
ALTER TABLE tb_modulo ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE tb_modulo ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE tb_modulo ADD COLUMN dt_operacao_seguranca date;


CREATE TABLE tb_sistema();
ALTER TABLE tb_sistema ADD COLUMN co_seq_sistema numeric(8,0) NOT NULL;
ALTER TABLE tb_sistema ADD COLUMN sg_sistema character varying(20) NOT NULL;
ALTER TABLE tb_sistema ADD COLUMN no_sistema character varying(100);
ALTER TABLE tb_sistema ADD COLUMN ds_sistema character varying(300);
ALTER TABLE tb_sistema ADD COLUMN ds_url character varying(50);
ALTER TABLE tb_sistema ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE tb_sistema ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE tb_sistema ADD COLUMN dt_operacao_seguranca date;

CREATE TABLE tb_usuario();
ALTER TABLE tb_usuario ADD COLUMN co_seq_usuario numeric(8,0) NOT NULL;
ALTER TABLE tb_usuario ADD COLUMN no_usuario character varying(70);
ALTER TABLE tb_usuario ADD COLUMN co_pais numeric(3,0);
ALTER TABLE tb_usuario ADD COLUMN co_estado character varying(2);
ALTER TABLE tb_usuario ADD COLUMN co_municipio character varying(6);
ALTER TABLE tb_usuario ADD COLUMN co_regional numeric(8,0);
ALTER TABLE tb_usuario ADD COLUMN no_login character varying(50);
ALTER TABLE tb_usuario ADD COLUMN ds_senha character varying(500);
ALTER TABLE tb_usuario ADD COLUMN st_ativo character varying(1);
ALTER TABLE tb_usuario ADD COLUMN st_expirado character varying(1);
ALTER TABLE tb_usuario ADD COLUMN nu_responsavel_operacao numeric(8,0);
ALTER TABLE tb_usuario ADD COLUMN nu_cpf character varying(11);
ALTER TABLE tb_usuario ADD COLUMN tp_operacao_seguranca character varying(1);
ALTER TABLE tb_usuario ADD COLUMN dt_operacao_seguranca date;
ALTER TABLE tb_usuario ADD COLUMN st_usuario_uf character varying(1);
ALTER TABLE tb_usuario ADD COLUMN st_sistema_responsavel character varying(1);
ALTER TABLE tb_usuario ADD COLUMN ds_cargo character varying(60);
ALTER TABLE tb_usuario ADD COLUMN ds_unidade character varying(60);
ALTER TABLE tb_usuario ADD COLUMN ds_end_usuario character varying(100);
ALTER TABLE tb_usuario ADD COLUMN nu_tel_usuario character varying(20);
ALTER TABLE tb_usuario ADD COLUMN ds_email_usuario character varying(60);
ALTER TABLE tb_usuario ADD COLUMN nu_passaporte character varying(15);
ALTER TABLE tb_usuario ADD COLUMN ds_profissao character varying(70);
ALTER TABLE tb_usuario ADD COLUMN nu_rg character varying(15);
ALTER TABLE tb_usuario ADD COLUMN nu_siape numeric(8,0);
ALTER TABLE tb_usuario ADD COLUMN nu_cep character varying(8);


CREATE INDEX fk_grupo ON rl_grupo_usuario USING btree (co_grupo);
CREATE INDEX fk_usuario ON rl_grupo_usuario USING btree (co_usuario);
ALTER TABLE ONLY rl_funcao_grupo_permissao ADD CONSTRAINT pk_funcao_grupo_permissao PRIMARY KEY (co_grupo, co_funcao, co_modulo, co_sistema);
ALTER TABLE ONLY rl_grupo_usuario ADD CONSTRAINT pk_grupo_usuario PRIMARY KEY (co_grupo, co_usuario);
ALTER TABLE ONLY rl_usuario_sistema ADD CONSTRAINT pk_usuario_sistema PRIMARY KEY (co_sistema, co_usuario);
ALTER TABLE ONLY tb_funcao ADD CONSTRAINT pk_funcao PRIMARY KEY (co_seq_funcao, co_modulo, co_sistema);
ALTER TABLE ONLY tb_grupo ADD CONSTRAINT pk_grupo PRIMARY KEY (co_seq_grupo);
ALTER TABLE ONLY tb_grupo_acesso ADD CONSTRAINT pk_grupo_acesso PRIMARY KEY (co_grupo, tp_acesso);
ALTER TABLE ONLY tb_log ADD CONSTRAINT pk_log PRIMARY KEY (co_seq_log);
ALTER TABLE ONLY tb_modulo ADD CONSTRAINT pk_modulo PRIMARY KEY (co_seq_modulo, co_sistema);
ALTER TABLE ONLY tb_sistema ADD CONSTRAINT pk_sistema PRIMARY KEY (co_seq_sistema);
ALTER TABLE ONLY tb_usuario ADD CONSTRAINT pk_usuario PRIMARY KEY (co_seq_usuario);
ALTER TABLE ONLY rl_funcao_grupo_permissao ADD CONSTRAINT fk_funcaogrupopermissao_funcao FOREIGN KEY (co_funcao, co_modulo, co_sistema) REFERENCES tb_funcao(co_seq_funcao, co_modulo, co_sistema) ON UPDATE RESTRICT ON DELETE CASCADE;
ALTER TABLE ONLY rl_funcao_grupo_permissao ADD CONSTRAINT fk_funcaogrupopermissao_grupo FOREIGN KEY (co_grupo) REFERENCES tb_grupo(co_seq_grupo) ON UPDATE RESTRICT ON DELETE CASCADE;
ALTER TABLE ONLY rl_grupo_usuario ADD CONSTRAINT fk_grupousuario_grupo FOREIGN KEY (co_grupo) REFERENCES tb_grupo(co_seq_grupo) ON UPDATE RESTRICT;
ALTER TABLE ONLY rl_grupo_usuario ADD CONSTRAINT fk_grupousuario_usuario FOREIGN KEY (co_usuario) REFERENCES tb_usuario(co_seq_usuario) ON UPDATE RESTRICT;
ALTER TABLE ONLY rl_usuario_sistema ADD CONSTRAINT fk_usuariosistema_sistema FOREIGN KEY (co_sistema) REFERENCES tb_sistema(co_seq_sistema) ON UPDATE RESTRICT;
ALTER TABLE ONLY rl_usuario_sistema ADD CONSTRAINT fk_usuariosistema_usuario FOREIGN KEY (co_usuario) REFERENCES tb_usuario(co_seq_usuario) ON UPDATE RESTRICT;
ALTER TABLE ONLY tb_funcao ADD CONSTRAINT fk_funcao_modulo FOREIGN KEY (co_modulo, co_sistema) REFERENCES tb_modulo(co_seq_modulo, co_sistema) ON UPDATE RESTRICT ON DELETE CASCADE;
ALTER TABLE ONLY tb_grupo_acesso ADD CONSTRAINT fk_grupo_grupoacesso FOREIGN KEY (co_grupo) REFERENCES tb_grupo(co_seq_grupo) ON UPDATE RESTRICT;
ALTER TABLE ONLY tb_log ADD CONSTRAINT fk_log_sistema FOREIGN KEY (co_sistema) REFERENCES tb_sistema(co_seq_sistema) ON UPDATE RESTRICT;
ALTER TABLE ONLY tb_log ADD CONSTRAINT fk_log_usuario FOREIGN KEY (co_usuario) REFERENCES tb_usuario(co_seq_usuario) ON UPDATE RESTRICT;
ALTER TABLE ONLY tb_modulo ADD CONSTRAINT fk_modulo_sistema FOREIGN KEY (co_sistema) REFERENCES tb_sistema(co_seq_sistema) ON UPDATE RESTRICT ON DELETE CASCADE;
---- Comments--
COMMENT ON TABLE rl_funcao_grupo_permissao IS 'Tabela de Permiss?es dos Grupos dos Sistemas';
COMMENT ON COLUMN rl_funcao_grupo_permissao.co_grupo IS 'Codigo do Grupo. Chave estrangeira com origem na tabela TB_GRUPO.';
COMMENT ON COLUMN rl_funcao_grupo_permissao.co_funcao IS 'Codigo da Func?o. Chave estrangeira com origem na tabela TB_FUNCAO.';
COMMENT ON COLUMN rl_funcao_grupo_permissao.co_modulo IS 'Codigo do Modulo';
COMMENT ON COLUMN rl_funcao_grupo_permissao.co_sistema IS 'Codigo do Sistema';
COMMENT ON COLUMN rl_funcao_grupo_permissao.st_selecionar IS 'Se possui permiss?o de Select';
COMMENT ON COLUMN rl_funcao_grupo_permissao.st_incluir IS 'Se possui permiss?o de Inclus?o';
COMMENT ON COLUMN rl_funcao_grupo_permissao.st_alterar IS 'Se possui permiss?o de Alterac?o';
COMMENT ON COLUMN rl_funcao_grupo_permissao.st_excluir IS 'Se possui permiss?o de Delec?o';
COMMENT ON COLUMN rl_funcao_grupo_permissao.nu_responsavel_operacao IS 'Usuario que Executou a operac?o';
COMMENT ON COLUMN rl_funcao_grupo_permissao.tp_operacao_seguranca IS 'Tipo da Operac?o Executada (I - Inserc?o e U - Update)';
COMMENT ON COLUMN rl_funcao_grupo_permissao.dt_operacao_seguranca IS 'Data da Operac?o Executada';
COMMENT ON TABLE rl_grupo_usuario IS 'Tabela de Usuarios de um Grupo';
COMMENT ON COLUMN rl_grupo_usuario.co_grupo IS 'Codigo do Grupo. Chave estrangeira com origem na tabela TB_GRUPO.';
COMMENT ON COLUMN rl_grupo_usuario.co_usuario IS 'Codigo do Usuario. Chave estrangeira com origem na tabela TB_USUARIO.';
COMMENT ON COLUMN rl_grupo_usuario.nu_responsavel_operacao IS 'Usuario que Executou a operac?o';
COMMENT ON COLUMN rl_grupo_usuario.tp_operacao_seguranca IS 'Tipo da Operac?o Executada (I - Inserc?o e U - Update)';
COMMENT ON COLUMN rl_grupo_usuario.dt_operacao_seguranca IS 'Data da Operac?o Executada';
COMMENT ON TABLE rl_usuario_sistema IS 'Tabela associativa entre tb_usuario e tb_sistema.';
COMMENT ON COLUMN rl_usuario_sistema.co_sistema IS 'Codigo Sequencial do Sistema. Chave estrangeira com origem na tabela TB_SISTEMA.';
COMMENT ON COLUMN rl_usuario_sistema.co_usuario IS 'Codigo Sequencial do Usuario. Chave estrangeira com origem na tabela TB_USUARIO.';
COMMENT ON COLUMN rl_usuario_sistema.co_uf_ibge IS 'Codigo IBGE da Unidade da Federac?o. Chave estrangeira com origem na tabela DBGERAL.TB_UF.';
COMMENT ON COLUMN rl_usuario_sistema.co_regional IS 'Codigo Sequencial da Regional';
COMMENT ON COLUMN rl_usuario_sistema.co_municipio_ibge IS 'Codigo IBGE do Municipio. Chave estrangeira com origem na tabela DBGERAL.TB_MUNICIPIO.';
COMMENT ON COLUMN rl_usuario_sistema.tp_acesso IS 'Tipo do Nivel de Acesso do Usuario:F - Federal E - Estado R - Regional M - Municipal';
COMMENT ON COLUMN rl_usuario_sistema.st_ativo IS 'Indica se o registro esta ativo ou n?o';
COMMENT ON COLUMN rl_usuario_sistema.st_sistema_responsavel IS 'Informa se o usuario e gestor responsavel pelo cadastramento de usuarios do sistema.';
COMMENT ON COLUMN rl_usuario_sistema.st_usuario_uf IS 'Informa se o usuario e reponsavel apenas pelo cadastramento de usuarios do proprio estado.';
COMMENT ON TABLE tb_funcao IS 'Tabela das Funcaes dos Modulos dos Sistemas';
COMMENT ON COLUMN tb_funcao.co_seq_funcao IS 'Codigo Sequencial da Funcao';
COMMENT ON COLUMN tb_funcao.co_modulo IS 'Codigo do Modulo. Chave estrangeira com origem na tabela TB_MODULO.';
COMMENT ON COLUMN tb_funcao.co_sistema IS 'Codigo do Sistema';
COMMENT ON COLUMN tb_funcao.sg_funcao IS 'Sigla da Funcao';
COMMENT ON COLUMN tb_funcao.ds_funcao IS 'Descricao da Funcao';
COMMENT ON COLUMN tb_funcao.nu_responsavel_operacao IS 'Usuario que Executou a operacao';
COMMENT ON COLUMN tb_funcao.tp_operacao_seguranca IS 'Tipo da Operacao Executada (I - Insercao e U - Update)';
COMMENT ON COLUMN tb_funcao.dt_operacao_seguranca IS 'Data da Operacao Executada';
COMMENT ON TABLE tb_grupo IS 'Tabela de Grupos';
COMMENT ON COLUMN tb_grupo.co_seq_grupo IS 'Codigo Sequencial do Grupo';
COMMENT ON COLUMN tb_grupo.no_grupo IS 'Nome do Grupo';
COMMENT ON COLUMN tb_grupo.st_ativo IS 'Status do Grupo Ativo,  Sim ou Nao';
COMMENT ON COLUMN tb_grupo.nu_responsavel_operacao IS 'Usuario que Executou a operacao';
COMMENT ON COLUMN tb_grupo.tp_operacao_seguranca IS 'Tipo da Operacao Executada (I - Insercao e U - Update)';
COMMENT ON COLUMN tb_grupo.dt_operacao_seguranca IS 'Data da Operacao Executada';
COMMENT ON TABLE tb_grupo_acesso IS 'Tabela para definicao dos tipos de acesso de acordo com o grupo de permissoes.';
COMMENT ON COLUMN tb_grupo_acesso.co_grupo IS 'Codigo Sequencial do Grupo';
COMMENT ON COLUMN tb_grupo_acesso.tp_acesso IS 'Tipo do Nivel de Acesso de acordo com o grupo:F - Federal E - Estado R - Regional M - Municipal';
COMMENT ON TABLE tb_log IS 'Tabela para Armazenar os Logs de Acaes dentro dos Sistemas.';
COMMENT ON COLUMN tb_log.co_seq_log IS 'Codigo Sequencial do Log de Seguranca';
COMMENT ON COLUMN tb_log.co_usuario IS 'Codigo Sequencial do Usuario. Chave estrangeira com origem na tabela TB_USUARIO.';
COMMENT ON COLUMN tb_log.co_sistema IS 'Codigo Sequencial do Sistema. Chave estrangeira com origem na tabela TB_SISTEMA.';
COMMENT ON COLUMN tb_log.no_tabela IS 'Nome da Tabela que sofreu a acao.';
COMMENT ON COLUMN tb_log.tp_operacao IS 'Tipo da Acao';
COMMENT ON COLUMN tb_log.dt_operacao IS 'Data da Acao';
COMMENT ON COLUMN tb_log.ds_execucao IS 'Descricao da Execucao';
COMMENT ON COLUMN tb_log.ds_host IS 'Ip da Maquina que Executou a Acao';
COMMENT ON COLUMN tb_log.ds_operacao IS 'Descricao da Execucao, Script Completo de Insert, Update e Delete, para determinada Tabela do Sistema e suas respectivas.';
COMMENT ON TABLE tb_modulo IS 'Tabela de  Modulos do Sistemas';
COMMENT ON COLUMN tb_modulo.co_seq_modulo IS 'Codigo Sequencial do Modulo';
COMMENT ON COLUMN tb_modulo.co_sistema IS 'Codigo do Sistema. Chave estrangeira com origem na tabela TB_SISTEMA.';
COMMENT ON COLUMN tb_modulo.sg_modulo IS 'Sigla do Modulo';
COMMENT ON COLUMN tb_modulo.ds_modulo IS 'Descricao do Modulo';
COMMENT ON COLUMN tb_modulo.nu_responsavel_operacao IS 'Usuario que Executou a operacao';
COMMENT ON COLUMN tb_modulo.tp_operacao_seguranca IS 'Tipo da Operacao Executada (I - Insercao e U - Update)';
COMMENT ON COLUMN tb_modulo.dt_operacao_seguranca IS 'Data da Operacao Executada';
COMMENT ON TABLE tb_sistema IS 'Tabela de Sistemas';
COMMENT ON COLUMN tb_sistema.co_seq_sistema IS 'Codigo Sequencial do Sistema';
COMMENT ON COLUMN tb_sistema.sg_sistema IS 'Sigla do Sistema';
COMMENT ON COLUMN tb_sistema.no_sistema IS 'Nome do Sistema';
COMMENT ON COLUMN tb_sistema.ds_sistema IS 'Descricao do Sistema';
COMMENT ON COLUMN tb_sistema.ds_url IS 'Nome do Sistema na WEB';
COMMENT ON COLUMN tb_sistema.nu_responsavel_operacao IS 'Usuario que Executou a operacao';
COMMENT ON COLUMN tb_sistema.tp_operacao_seguranca IS 'Tipo da Operacao Executada (I - Insercao e U - Update)';
COMMENT ON COLUMN tb_sistema.dt_operacao_seguranca IS 'Data da Operacao Executada';
COMMENT ON TABLE tb_usuario IS 'Tabela de Usuarios';
COMMENT ON COLUMN tb_usuario.co_seq_usuario IS 'Codigo Sequencial do Usuario';
COMMENT ON COLUMN tb_usuario.no_usuario IS 'Descricao do Nome do Usuario';
COMMENT ON COLUMN tb_usuario.co_pais IS 'Codigo do Pais';
COMMENT ON COLUMN tb_usuario.co_estado IS 'Codigo do Estado';
COMMENT ON COLUMN tb_usuario.co_municipio IS 'Codigo do Municipio';
COMMENT ON COLUMN tb_usuario.co_regional IS 'Codigo da Regional';
COMMENT ON COLUMN tb_usuario.no_login IS 'Login do Usuario';
COMMENT ON COLUMN tb_usuario.ds_senha IS 'Senha do Usuario';
COMMENT ON COLUMN tb_usuario.st_ativo IS 'Situacao do Usuario - Ativoa sim ou nao';
COMMENT ON COLUMN tb_usuario.st_expirado IS 'Exigir a troca de senha ao usuario';
COMMENT ON COLUMN tb_usuario.nu_responsavel_operacao IS 'Usuario que Executou a operacao';
COMMENT ON COLUMN tb_usuario.nu_cpf IS 'CPF do Usuario';
COMMENT ON COLUMN tb_usuario.tp_operacao_seguranca IS 'Tipo da Operacao Executada (I - Insercao e U - Update)';
COMMENT ON COLUMN tb_usuario.dt_operacao_seguranca IS 'Data da Operacao Executada';
COMMENT ON COLUMN tb_usuario.st_usuario_uf IS 'Se o usuario ira cadastrar apenas seu Estado';
COMMENT ON COLUMN tb_usuario.st_sistema_responsavel IS 'Se o Usuario e responsavel Federal por Algum Sistema';
COMMENT ON COLUMN tb_usuario.ds_cargo IS 'Descricao do Cargo ou Funcao do Usuario.';
COMMENT ON COLUMN tb_usuario.ds_unidade IS 'Descricao da Unidade a que o usuario esta vinculado.';
COMMENT ON COLUMN tb_usuario.ds_end_usuario IS 'Descricao do endereco funcional do usuario.';
COMMENT ON COLUMN tb_usuario.nu_tel_usuario IS 'Numero de telefone funcional do usuario - podendo ser: DDD - TELEFONE - RAMAL.';
COMMENT ON COLUMN tb_usuario.ds_email_usuario IS 'Descricao do e-mail funcional do usuario.';
